#pragma once
#include <map>
struct Fish_SeniorDivideJackpotCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//权重
	int mWeight;
	//瓜分奖池最小值
	int mDivideJackpotMin;
	//瓜分奖池最大值
	int mDivideJackpotMax;
};

class Fish_SeniorDivideJackpotCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorDivideJackpotCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorDivideJackpotCFGData* GetData(int ID);
	const std::map<int, Fish_SeniorDivideJackpotCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SeniorDivideJackpotCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SeniorDivideJackpotCFGData> mMapData;
};
